# Created by pyp2rpm-1.1.2
%global pypi_name XStatic-Angular-Bootstrap

Name:           python-%{pypi_name}
Version:        0.11.0.2
Release:        2%{?dist}
Summary:        Angular-Bootstrap (XStatic packaging standard)

License:        MIT
URL:            http://angular-ui.github.io/bootstrap/
Source0:        https://pypi.python.org/packages/source/X/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  web-assets-devel

Requires:  python-XStatic
Requires:  web-assets-filesystem


%description
JavaScript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# patch to use webassets dir
sed -i "s|^BASE_DIR = .*|BASE_DIR = '%{_jsdir}/angular_bootstrap'|" xstatic/pkg/angular_bootstrap/__init__.py


%build
# due
# https://bitbucket.org/thomaswaldmann/xstatic/issue/2/
# this package can not be built with python-XStatic installed.
%{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root %{buildroot}
mkdir -p %{buildroot}/%{_jsdir}/angular_bootstrap
mv %{buildroot}/%{python2_sitelib}/xstatic/pkg/angular_bootstrap/data/angular-bootstrap.js %{buildroot}/%{_jsdir}/angular_bootstrap

# fix execute flags for js
chmod 644 %{buildroot}/%{_jsdir}/angular_bootstrap/angular-bootstrap.js

%files
%doc README.txt
%{python2_sitelib}/xstatic/pkg/angular_bootstrap
%{python2_sitelib}/XStatic_Angular_Bootstrap-%{version}-py%{python_version}.egg-info
%{python2_sitelib}/XStatic_Angular_Bootstrap-%{version}-py%{python_version}-nspkg.pth
%{_jsdir}/angular_bootstrap

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jan 10 2015 Matthias Runge <mrunge@redhat.com> - 0.11.0.2-1
- Initial package (rhbz#1180803)
